Subject: bug#73244: Emacs29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41

From: martin rudalics <[email-masked]>
Date: Sun, 27 Oct 2024 09:47:41 +0100

> I have to admit that I am getting out of my depth here.  I have
 > written lots of emacs lisp programs, but not using many of the
 > features that you talk about.  Hence I may get confused at times (:-(

In the area of Emacs/WM interactions I'm confused all the time.

 >> This history is remarkable because I nowhere see that small frame size
 >> in the ConfigureNotify events you got.  Hence, you should not have seen
 >> any strange resizings and no GTK warnings either.  Am I right?
 >
 > Unfortunately, no.  Still same small window, and 4 GTK warnings

This would mean that the frame size history would lie.  Please repeat
the experiment:

(1) The early-init.el file has to contain

(setq frame-size-history '(100))
(defun resize-me (frame)
   (set-frame-size frame 90 42))
(add-hook 'after-make-frame-functions 'resize-me)

and there should be no .emacs file, no resources for Emacs.

(2) Run emacs from the launch bar.

(3) Maximize the emacs frame and evaluate (frame--size-history).

(4) Post the contents of the *frame-size-history* buffer here.

 >> At the very end it makes a frame that is 188x46 characters large so IIUC
 >> more than you asked for.  Does this size figure anywhere in one of your
 >> resources?
 >
 > No.

Do you see a mode line and a minibuffer window in that small frame.
Could you post a screenshot of it?

 > I think it was
 > ((outer-position 1214 . 79) (outer-size 220 . 300) (external-border-size 14 . 17) (outer-border-width . 0) (title-bar-size 0 . 32) (menu-bar-external . t) (menu-bar-size 192 . 25) (tab-bar-size 0 . 0) (tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 192 . 41) (internal-border-width . 0))
 > but I had to resize the window to read it!

What do (frame-width) and (frame-height) get you for that frame?

Thanks, martin